PDA

View Full Version : GLUT+Linux = problem?



Rainbow777
08-21-2003, 12:09 AM
When I run your "Open GL" lessaon2 (http://nehe.gamedev.net/data/lessons/linux/lesson02.tar.gz), it give that message:
roman@k619:~/gl> ./lesson2
GLUT: Fatal Error in lesson2: visual with necessary capabilities not found.
What does mean?

OS: Lunux SuSE 8.2.
All versions of librariries is recently than it required in your README.
VideoCard on my system is ATI RAGE 128
Thank You.

errno
08-21-2003, 03:00 AM
it means that the X server (through GLX) can't provide to glut the requested pixel format.

opengl drivers are installed correctly?
what is you X server bpp ?
what format do you request (glutInitDisplayMode) ?

Rainbow777
08-22-2003, 03:54 AM
1. Correctly. Because programs that not used run OK.
2. 16
3. glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE | GLUT_ALPHA | GLUT_DEPTH);

jide
08-22-2003, 04:20 AM
Originally posted by Rainbow777:

1. Correctly. Because programs that not used run OK.
2. 16
3. glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE | GLUT_ALPHA | GLUT_DEPTH);

As far as I can remember, GLUT_RGB is suffisant, and GLUT_RGBA won't work. but I'm not sure at all. GLUT_ALPHA normally gives you what misses in GLUT_RGB.

just try it.

hope this helped